> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nimbleway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Run Artifact Download URL

> Get Run Artifact Download URL



## OpenAPI

````yaml /api-reference/openapi.json get /v1/jobs/runs/{run_id}/artifacts/{artifact_id}/download-url
openapi: 3.1.0
info:
  title: Nimble SDK
  version: 1.0.0
  description: The AI-Native SDK for Real-Time Web Data at scale
servers:
  - url: https://sdk.nimbleway.com
security: []
paths:
  /v1/jobs/runs/{run_id}/artifacts/{artifact_id}/download-url:
    get:
      tags:
        - Jobs
      summary: Get Run Artifact Download URL
      description: Get Run Artifact Download URL
      operationId: >-
        get_run_artifact_download_url_v1_jobs_runs__run_id__artifacts__artifact_id__download_url_get
      parameters:
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            title: Run Id
        - name: artifact_id
          in: path
          required: true
          schema:
            type: string
            title: Artifact Id
        - name: token
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArtifactDownloadUrl'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    ArtifactDownloadUrl:
      properties:
        url:
          type: string
          title: Url
          description: Pre-signed URL to download the artifact.
        expires_at:
          type: string
          format: date-time
          title: Expires At
          description: When the download URL expires.
      type: object
      required:
        - url
        - expires_at
      title: ArtifactDownloadUrl
      description: A pre-signed URL for downloading an artifact.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````